Bug 984819 - Fault messages do not contain messageId
Fault messages do not contain messageId
Status: CLOSED CURRENTRELEASE
Product: JBoss Fuse Service Works 6
Classification: JBoss
Component: SwitchYard (Show other bugs)
6.0.0 GA
Unspecified Unspecified
unspecified Severity medium
: ER2
: ---
Assigned To: Keith Babo
Jiri Sedlacek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-16 02:25 EDT by Jiri Pechanec
Modified: 2015-08-02 19:44 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker SWITCHYARD-1634 Major Closed message id and relatesTo missing on faults 2014-06-16 19:50:18 EDT

  None (edit)
Description Jiri Pechanec 2013-07-16 02:25:26 EDT
When the fault message is generated, it does not contain a messageId header.

The message trace output contains

Message Context -> 
	org.switchyard.bus.camel.messageSent : true
	org.switchyard.exchangeDurationMS : 93504973
	org.switchyard.bus.camel.labels : {org.switchyard.bus.camel.messageSent=[TRANSIENT], org.switchyard.exchangeDurationMS=[org.switchyard.label.behavior.transient]}


The property org.switchyard.messageId is missing.
Comment 1 Gary Brown 2013-07-29 08:44:16 EDT
I believe fault messages may also be missing the 'reply to' message id, when sent as a response.
Comment 2 JBoss JIRA Server 2013-08-20 15:50:54 EDT
Keith Babo <kbabo@redhat.com> made a comment on jira SWITCHYARD-1634

pushed
Comment 3 Jiri Pechanec 2013-09-16 04:28:25 EDT
Verified in ER2
Comment 7 JBoss JIRA Server 2014-06-16 19:50:18 EDT
Keith Babo <kbabo@redhat.com> updated the status of jira SWITCHYARD-1634 to Closed

Note You need to log in before you can comment on or make changes to this bug.